YaST erhält zahlreiche Verbesserungen

Änderungen im aktuellen Tumbleweed

0

In der Distribution openSUSE Thumbleweed ist eine neue Version des Konfigurationstools YaST angekommen, die einige sichtbare Neuerungen mitbringt. Dazu gehört unter anderem ein neuer Dialog zum Anlegen eines lokalen Benutzers bei der Installation.

Im Rahmen des sogenannten Development Sprint 14 haben die YaST-Entwickler in nur drei Wochen zahlreiche Änderungen an ihrem Konfigurationstool vorgenommen. Diese Änderungen sind mittlerweile auch in der Rolling-Release-Distribution openSUSE Tumbleweed enthalten.

So haben die Entwickler das Formular umgekrempelt, das während der Installation der Distribution das Einrichten eines neuen lokalen Benutzers erlaubt. Durch die Umgestaltung sollen die bereitstehenden Optionen und Funktionen für Anwender eindeutiger erkennbar sein. In der alten Version haben beispielsweise viele Usern übersehen, dass sie die Einrichtung eines lokalen Nutzerkontos überspringen konnten. Noch offen ist die Frage, welche Passwort-Verschlüsselungsmethode Tumbleweed standardmäßig verwenden soll. Die Entwickler rufen daher auf ihrer Mailingliste alle Nutzer zu entsprechenden Kommentaren beziehungsweise Vorschlägen auf.

Neben dieser deutlich sichtbaren Neuerung gab es noch ein paar kleinere. Eine davon betrifft die Anzeige des verfügbaren Plattenplatzes. Bei Btrfs-Partitionen listeten frühere YaST-Versionen alle Subvolumes auf, was wiederum zu falschen Füllständen führte. Die neue YaST-Version präsentiert hingegen den auf einem kompletten Datenträger belegten Platz. Weitere Verbesserungen gab es bei der Erkennung von komplexen Partitionsanordnungen und in der Zusammenarbeit mit Systemd.

Abschließend haben die Entwickler einige Fehler behoben. So stürzt YaST nicht mehr ab, wenn der Download einer EULA fehlschlägt. Sämtliche Änderungen haben die Entwickler in einem Blog-Post aufgelistet.

openSUSE Tumbleweed ist eine Rolling-Release-Distribution, die ständig aktuelle Software enthält. Die letzten größten Updates umfassten neben YaST auch Firefox 44, GCC 5.3.1 und die Aufnahme des Tools Sysdig.

Hinterlasse einen Kommentar

  E-Mail Benachrichtigung  
Benachrichtige mich zu: